import { DataSource } from '@angular/cdk/collections';
import { Observable, of as observableOf } from 'rxjs';
import { VoidsReprintsReportItem } from './voids-reprints-report';


export class VoidsReprintsReportDataSource extends DataSource<VoidsReprintsReportItem> {

  constructor(public data: VoidsReprintsReportItem[]) {
    super();
  }

  connect(): Observable<VoidsReprintsReportItem[]> {
    return observableOf(this.data);
  }

  disconnect() {
  }
}
