import { DataSource } from '@angular/cdk/collections';
import { Observable, of as observableOf } from 'rxjs';
import { TaxAnalysisItem } from './tax-analysis';


export class TaxAnalysisDataSource extends DataSource<TaxAnalysisItem> {

  constructor(public data: TaxAnalysisItem[]) {
    super();
  }

  connect(): Observable<TaxAnalysisItem[]> {
    return observableOf(this.data);
  }

  disconnect() {
  }
}
